com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionFilter

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionFilter
    extends Object
    implements Serializable, Cloneable

Used to filter the workflow executions in visibility APIs by their `workflowId`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionFilter` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkflowId()` The workflowId to pass of match the criteria of this filter.
`int` `hashCode()`
`void` `setWorkflowId(String workflowId)` The workflowId to pass of match the criteria of this filter.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionFilter` `withWorkflowId(String workflowId)` The workflowId to pass of match the criteria of this filter.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionFilter

    public WorkflowExecutionFilter()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The workflowId to pass of match the criteria of this filter.

Parameters:
  `workflowId` - The workflowId to pass of match the criteria of this filter.

#### getWorkflowId

    public String getWorkflowId()

The workflowId to pass of match the criteria of this filter.

Returns:
  The workflowId to pass of match the criteria of this filter.

#### withWorkflowId

    public WorkflowExecutionFilter withWorkflowId(String workflowId)

The workflowId to pass of match the criteria of this filter.

Parameters:
  `workflowId` - The workflowId to pass of match the criteria of this filter.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionFilter clone()

Overrides:
  `clone` in class `Object`